# core/plugs/show.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

import threading
import logging
import time
import re

## CMNDS

def show(event):
    parsed = event.get_parsed()
    if not parsed.args: return
    objs = sorted(event.selected(parsed), key=lambda x: x.get_timed())
    if "index" in parsed:
        try: event.reply(objs[parsed.index].format(parsed.index, skiplist=["saved", "ctype", "prefix"])) 
        except: pass
        return
    nr = 0
    for obj in objs: event.reply("\n" + obj.format(nr, skiplist=["saved", "ctype", "prefix"])) ; nr += 1

kernel.cmnds.register("show", show)
