# core/plugs/comment.py
#
#

""" commenting. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

import time

## CMNDS

def comment(event):
    nr = 0
    try: index = int(event.parsed.index)
    except (AttributeError, ValueError): event.reply("i need an integer as last argument.") ; return
    objs = event.selected(parsed)
    result_list = []
    saved = 0
    result = None
    for obj in sorted(objs, key=lambda x: x.get_timed()):
       nr += 1
       if index == nr:
          obj.comment = " ".join(event.parsed.args[2:])
          obj.sync()
          event.reply("%s ok" % index)
          return
    event.reply("no object found")

kernel.cmnds.register("comment", comment)
