# core/plugs/dump.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

import threading
import logging
import time
import re

## CMNDS

def dump(event):
    parsed = event.get_parsed()
    if not parsed.args: return
    objs = sorted(event.selected(parsed), key=lambda x: x.get_timed())
    if "index" in parsed:
        try: event.reply(str(objs[parsed.index]))
        except: pass
        return
    for obj in objs: event.reply(str(obj))

kernel.cmnds.register("dump", dump)
