# core/plugs/find.py
#
#

""" show all attributes with a value present. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

## CMNDS

def find(event):
    objs = event.selected(event.parsed)
    nr = 0
    for obj in sorted(objs, key=lambda x: x.get_timed()):
       event.reply("%s %s" % (nr, obj.display(event.parsed.args)))
       nr += 1

kernel.cmnds.register("find", find)
